%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Summary: 	A set of X Window System screensavers.
Name: 		xscreensaver
Version: 	4.06
Release: 	2
Copyright: 	BSD
Group: 		Amusements/Graphics
URL: 		http://www.jwz.org/xscreensaver/
Source: 	http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.bz2

Patch0:		xscreensaver-4.06-aix.patch
Patch1:		xscreensaver-4.06-autotools.patch

Buildroot: 	/var/tmp/xscreensaver-%{version}-root

%description
The xscreensaver package contains a variety of screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/xscreensaver-4.06-aix.patch
$PATCH -p2 -s < %{_sourcedir}/xscreensaver-4.06-autotools.patch

# Need to add bit x to use mkinstalldirs
chmod +x mkinstalldirs

%build
CPPFLAGS=-I%{_includedir} LDFLAGS=-L%{_libdir} PATH=%{_bindir}:$PATH \
	./configure --srcdir=%{_builddir}/%{name}-%{version} \
	--prefix=%{_prefix} --without-pam --without-gl
G_CHARSET_ALIAS=%{_libdir}/charset.alias make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
G_CHARSET_ALIAS=%{_libdir}/charset.alias PATH=%{_bindir}:$PATH make \
	install_prefix=%{buildroot} \
	datadir=%{_datadir} \
	AD_DIR=%{_prefix}/lib/X11/app-defaults \
	GNOME_BINDIR=%{_bindir} \
	GNOME_DATADIR=%{_datadir} \
	DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%post
chown root:security %{_bindir}/xscreensaver
chmod u+s %{_bindir}/xscreensaver


%files 
%defattr(-,root,system)
%doc README README.debugging

%attr(0755,root,system) %{_bindir}/xscreensaver
%{_bindir}/xscreensaver-*
%{_bindir}/screensaver-properties-capplet
%{_libdir}/xscreensaver
%config %{_libdir}/X11/app-defaults/XScreenSaver
	
%{_datadir}/control-center/Desktop/*.desktop
%{_datadir}/control-center-2.0/capplets
%{_datadir}/control-center/capplets
%{_datadir}/control-center/screensavers/*
%{_datadir}/applications
%{_datadir}/pixmaps
%{_datadir}/xscreensaver

%{_datadir}/locale/*/LC_MESSAGES/xscreensaver.mo
%{_mandir}/man1/*

%attr(0755,root,system) /usr/bin/xscreensaver
/usr/bin/xscreensaver-*
/usr/bin/screensaver-properties-capplet
